Uploaded image for project: 'Jalview'
  1. Jalview
  2. JAL-3907

Jalview running under Java 17

    XMLWordPrintable

    Details

    • Type: Epic
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: 2.11.2
    • Fix Version/s: None
    • Component/s: Dev and Dep
    • Labels:
      None
    • Environment:
      Java 17.
      macOS, Windows, Linux
    • Epic Name:
      java17

      Description

      Adoptium (the new name for AdoptOpenJDK) now have Java 17 binaries for all main platforms, now including M1 chips for newer macs.

      Java 17 is the latest LTS version, with support from September 2021 to "TBC" (see https://adoptium.net/support.html ).
      Java 11 LTS has support from September 2018 to "At Least Oct 2024".
      Perhaps confusingly Java 8 support is pledged until "At Least May 2026".
      Note: "As a general philosophy, Adoptium will continue to build binaries for LTS releases as long as the corresponding upstream source is actively maintained."

      Currently gradle 7.2 (latest release at time of writing) does not work with Java 17, but the next release 7.3 is supposed to (RC2 available).

      Last time I checked, Jalview does not compile with Java 16 so I expect it won't initially with Java 17. This is not to be unexpected.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              jprocter Jim Procter
              Reporter:
              soares Ben Soares
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated: